/*******************************  BASE STUFF  *******************************/ 

html, body {
  height: 100%;
}

body {
    display: flex;
    flex-direction: column;
}

.table thead {
  --bs-table-bg: transparent;
}

.custom-thead {
  background-color: #F0E5CF;
}

#error-msg {
  color: #D72A05;
}

/* #bgColor{
  background-color: #F0E5CF;
} */

html * {
  font-family: Century Gothic, sans-serif;
}

#baseBody{
  background-color: #F7F6F2 ;
}

main {
  flex: 1 0 auto;
}

.divider{
  margin-top:5px;
  margin-bottom:5px;
  height:1px;
  width:100%;
  border-top:1px solid lightgray;
}

#logo_img{
  max-width: 30%;
  max-height: 30%;
}

.pageTitle{
  font-weight: 500;
}


/*******************************  NAVBAR  *******************************/ 


#navStyle{
  background-color:#F0E5CF;
}

#nav-uscite:hover{
  color: #4B6587;
}
#nav-entrate:hover{
  color: #4B6587;
}
#nav-giacenze:hover{
  color: #4B6587;
}
#nav-articoli:hover{
  color: #4B6587;
}
/* TODO : da modificare */
#nav-TMP:hover{
  color: #4B6587;
}


/*******************************  BUTTONS  *******************************/ 


.underlineAdios{
  text-decoration: none;
}

.btnPrimary {
  border: 3px solid #4B6587;
  color: #F0E5CF;
  background-color: #4B6587;
  border-bottom-left-radius: 10px;
  border-top-left-radius: 10px;
  border-bottom-right-radius: 10px;
  border-top-right-radius: 10px;
  padding-left: 20px;
  padding-right: 20px;
  padding-top: 10px;
  padding-bottom: 10px;
  transition: 0.2s ease-in-out background-color, color;
  display: flex;
  font-weight: 900;
}

.btnSecondary {
  border: 3px solid #4B6587;
  color: #F0E5CF;
  background-color: #4B6587;
  border-bottom-left-radius: 10px;
  border-top-left-radius: 10px;
  border-bottom-right-radius: 10px;
  border-top-right-radius: 10px;
  padding-left: 8px;
  padding-right: 8px;
  padding-top: 6px;
  padding-bottom: 6px;
  transition: 0.2s ease-in-out background-color, color;
  display: flex;
  font-weight: 900;
}

.btnDelete {
  font-size: 12px;
  border: 3px solid red;
  color: white;
  background-color: red;
  border-bottom-left-radius: 10px;
  border-top-left-radius: 10px;
  border-bottom-right-radius: 10px;
  border-top-right-radius: 10px;
  padding-left: 8px;
  padding-right: 8px;
  padding-top: 6px;
  padding-bottom: 6px;
  transition: 0.2s ease-in-out background-color, color;
  display: flex;
  font-weight: 900;
}

.btnClose {
  border: 3px solid #C8C6C6;
  color: #4B6587;
  background-color: #F0E5CF;
  border-bottom-left-radius: 10px;
  border-top-left-radius: 10px;
  border-bottom-right-radius: 10px;
  border-top-right-radius: 10px;
  padding-left: 8px;
  padding-right: 8px;
  padding-top: 6px;
  padding-bottom: 6px;
  transition: 0.2s ease-in-out background-color, color;
  display: flex;
  font-weight: 400;
}

#logoutBtn{
  color: #F0E5CF ;
  background-color: #4B6587;
  border: none;
  border-bottom-left-radius: 10px;
  border-top-left-radius: 10px;
  padding-left: 20px;
  padding-right: 10px;
  padding-top: 10px;
  padding-bottom: 10px;
  transition: 0.2s ease-in-out background-color, color;
  font-weight: 900;
  display: flex;
}

.btnPrimary:hover {
  color: #4B6587;
  background-color: #F0E5CF;
  transition: 0.2s;
}

.btnSecondary:hover {
  color: #4B6587;
  background-color: #F0E5CF;
  transition: 0.2s;
}

.btnClose:hover{
  background-color: #C8C6C6;
  transition: 0.2s;    
}

#logoutBtn:hover{
  background-color: #F0E5CF;
  color: #4B6587 ;
}


/*******************************  FORM  *******************************/ 

.form_container{
  max-width: 80%;
  max-height: 80%;
  margin-left: 120px;
}

.custom-form {
  background-color: #F0E5CF;
  width: 300px;
  margin: 0 auto;
  padding: 20px;
  border-radius: 5px;
}

/* Stile dei campi input */
.custom-form input,
.custom-form textarea {
    width: 100%;
    padding: 8px;
    border-radius: 5px;
}

.custom-form button {
  border: 3px solid #4B6587;
  background-color: #4B6587 ;
  color: #F0E5CF;
  border-bottom-left-radius: 10px;
  border-top-left-radius: 10px;
  border-bottom-right-radius: 10px;
  border-top-right-radius: 10px;
  padding-left: 8px;
  padding-right: 8px;
  padding-top: 6px;
  padding-bottom: 6px;
  cursor: pointer;
  transition: 0.2s ease-in-out background-color, color;
  font-weight: 900;
}

.custom-form button:hover {
  color: #4B6587;
  background-color: #F0E5CF;
  transition: 0.2s;
}


/*******************************  FOOTER  *******************************/ 


#footer{
  background-color: #C8C6C6;
}


/*******************************  MEDIA QUERY  *******************************/ 

/* @media (min-width: 64rem) {
  body {
    font-size: 1.25rem;
  }

  h1 {
    font-size: 3.051rem;
  }

    h2 {
    font-size: 2.44rem;
  }

    h3 {
    font-size: 1.75rem;
  }

    h4 {
    font-size: 1.5625rem;
  }
} */

@media (min-width: 1000px) {

  html * {
    font-size: 15px;
  }

  input.form-control-sm, select.form-select-sm {
    font-size: 12px;
  }

  .custom-width {
    max-width: 70%;
  }

  /* Stile dei paragrafi contenenti i campi */
  .custom-form p {
    margin-bottom: 15px;
  }
}



@media (min-width: 720px) and (max-width: 999px) {

  html * {
    font-size: 12px;
  }

  input.form-control-sm, select.form-select-sm {
    font-size: 11px;
  }

  .custom-width {
    max-width: 80%;
  }

  .btnPrimary {
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
  }
  
  .btnClose {
    padding-left: 8px;
    padding-right: 8px;
    padding-top: 6px;
    padding-bottom: 6px;
  }

  .btnDelete {
    font-size: 8px;
    padding-left: 6px;
    padding-right: 6px;
    padding-top: 3px;
    padding-bottom: 3px;
  }

  #logoutBtn{
    padding-left: 20px;
    padding-right: 10px;
    padding-top: 10px;
    padding-bottom: 10px;
  }
}



@media (min-width: 570px) and (max-width: 720px) {

  html * {
    font-size: 11px;
  }

  input.form-control-sm, select.form-select-sm {
    font-size: 9px;
  }

  .custom-width {
    max-width: 100%;
  }

  .btnPrimary {
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
  }
  
  .btnClose {
    padding-left: 8px;
    padding-right: 8px;
    padding-top: 6px;
    padding-bottom: 6px;
  }

  .btnDelete {
    font-size: 8px;
    padding-left: 6px;
    padding-right: 6px;
    padding-top: 3px;
    padding-bottom: 3px;
  }

  #logoutBtn{
    padding-left: 20px;
    padding-right: 10px;
    padding-top: 10px;
    padding-bottom: 10px;
  }

}
  
@media (max-width: 569px) {

  html * {
    font-size: 8px;
  }

  input.form-control-sm, select.form-select-sm{
    font-size: 7px !important;
  }

  .custom-width {
    max-width: 100%;
  }

  .custom-form button {
    padding-left: 8px;
    padding-right: 8px;
    padding-top: 6px;
    padding-bottom: 6px;
  }

  .btnPrimary {
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 5px;
    padding-bottom: 5px;
  }

  .btnSecondary {
    padding-left: 8px;
    padding-right: 8px;
    padding-top: 6px;
    padding-bottom: 6px;
  }

  .btnDelete {
    font-size: 6px;
    padding-left: 2px;
    padding-right: 2px;
    padding-top: 1px;
    padding-bottom: 1px;
  }

  #logoutBtn{
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 5px;
    padding-bottom: 5px;
  }
}


/*******************************  GRANDE FURTO  *******************************/ 

/*switch styles*/

div.btn-container{
  display: table-cell;
  vertical-align: middle;
  text-align: center;
}

div.btn-container i{
  display: inline-block;
  position: relative;
  top: -9px;
}

.btn-color-mode-switch{
  display: inline-block;
  margin: 0px;
  position: relative;
}

.btn-color-mode-switch > label.btn-color-mode-switch-inner{
  margin: 0px;
  width: 400px;
  height: 30px;
  background: #F0E5CF;
  border-radius: 26px;
  overflow: hidden;
  position: relative;
  transition: all 0.3s ease;
  /*box-shadow: 0px 0px 8px 0px rgba(17, 17, 17, 0.34) inset;*/
  display: block;
}

.btn-color-mode-switch > label.btn-color-mode-switch-inner:before{
  content: attr(data-on);
  position: absolute;
  font-size: 12px;
  font-weight: 500;
  top: 7px;
  right: 20px;

}

.btn-color-mode-switch > label.btn-color-mode-switch-inner:after{
  content: attr(data-off);
  width: 200px;
  height: 25px;
  background: #fff;
  border-radius: 26px;
  position: absolute;
  left: 2px;
  top: 2px;
  text-align: center;
  transition: all 0.3s ease;
  box-shadow: 0px 0px 6px -2px #111;
  padding: 5px 0px;
}

.btn-color-mode-switch > .alert{
  display: none;
  background: #FF9800;
  border: none;
  color: #fff;
}

.btn-color-mode-switch input[type="checkbox"]{
  cursor: pointer;
  width: 50px;
  height: 25px;
  opacity: 0;
  position: absolute;
  top: 0;
  z-index: 1;
  margin: 0px;
}

.btn-color-mode-switch input[type="checkbox"]:checked + label.btn-color-mode-switch-inner{
  background: #4B6587;
  color: #fff;
}

.btn-color-mode-switch input[type="checkbox"]:checked + label.btn-color-mode-switch-inner:after{
  content: attr(data-on);
  left: 198px;
  background: #F0E5CF;
  color: black;
}

.btn-color-mode-switch input[type="checkbox"]:checked + label.btn-color-mode-switch-inner:before{
  content: attr(data-off);
  right: auto;
  /* background: #4B6587; */
  left: 20px;
}

/* .btn-color-mode-switch input[type="checkbox"]:checked + label.btn-color-mode-switch-inner{ */
  /*background: #66BB6A; */
  /*color: #fff;*/
/* } */

.btn-color-mode-switch input[type="checkbox"]:checked ~ .alert{
  display: block;
}

/*mode preview*/
.dark-preview{
  background: #0d0d0d;
}

.dark-preview div.btn-container i.fa-sun-o{
  color: #777;
}

.dark-preview div.btn-container i.fa-moon-o{
  color: #fff;
  text-shadow: 0px 0px 11px #fff;
}

.white-preview{
  background: #F0E5CF;
}

.white-preview div.btn-container i.fa-sun-o{
  color: #ffa500;
  text-shadow: 0px 0px 16px #ffa500;
}

.white-preview div.btn-container i.fa-moon-o{
  color: #777;
}

p.by a{
  text-decoration: none;
  color: #000;
}

.dark-preview p.by a{
  color: #777;
}

.white-preview p.by a{
  color: #000;
}

.dropzone {
  /* border: dashed !important;*/ /*fa il bordo tratteggiato */
  border-color: #ccc !important;
  border-radius: 10px !important;

  overflow: auto !important;

  /* width: auto !important; */
  max-width: 100% !important;
  /* REQUIRED. This will prevent the dropzone area from getting bigger.*/
  height: 17em !important;

}

#dropzone-form{
  padding-left: 20px;
  padding-right: 20px;
}

.dropzone-items{
  width: auto !important;
  display: flex !important;
  align-items: center !important;
}

.dropzone-item{
  /* width: 300px !important; */
  display: flex !important;
  /* margin-right: 10px !important; */
}

.dropzone-filename{
  width: 240px ;
}

.dz-progress{
  margin-left: -75px !important;
  margin-top: -30px !important;
  width: 120px !important;
  animation: none !important;
}

.dz-upload{
  background: lightblue !important;
}

.dz-preview{
  display: flex !important;
  height: fit-content !important;
  max-height: fit-content !important;
}

.btn-addfiles{
  margin-right: 10px;
  margin-left: 10px;
}
